summaryrefslogtreecommitdiff
path: root/tests/unistdio/test-u8-vasnprintf2.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/unistdio/test-u8-vasnprintf2.sh')
-rwxr-xr-xtests/unistdio/test-u8-vasnprintf2.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/unistdio/test-u8-vasnprintf2.sh b/tests/unistdio/test-u8-vasnprintf2.sh
new file mode 100755
index 0000000..ea5fcb0
--- /dev/null
+++ b/tests/unistdio/test-u8-vasnprintf2.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+# Test whether a traditional french locale is installed.
+: ${LOCALE_FR=fr_FR}
+if test $LOCALE_FR != none; then
+ testlocale=$LOCALE_FR
+else
+ if test -f /usr/bin/localedef; then
+ echo "Skipping test: no traditional french locale is installed"
+ else
+ echo "Skipping test: no traditional french locale is supported"
+ fi
+ exit 77
+fi
+
+LC_ALL=$testlocale \
+./test-u8-vasnprintf1${EXEEXT} \
+ || exit 1
+
+LC_ALL=$testlocale \
+./test-u8-vasnprintf2${EXEEXT}